> For the complete documentation index, see [llms.txt](https://docs.digit.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digit.org/platform/guides/operations-guide/moving-docker-images.md).

# Moving Docker Images

To move docker images from one container to another container.

## Pre-requisites:

* Install [Docker](https://docs.docker.com/engine/install/ubuntu/) in your local machine.
* [Docker hub ](https://hub.docker.com)account.

## Procedure:

* To move the existing docker images from one account to another account by changing tags.
* First, we have to login to the docker account in which the images are present.

```
sudo docker login -u <user_name> -p <password>
```

* We need to pull the image from the docker container to local machine.

```
sudo docker pull <image_name>:<image_tag>
```

* Next, we have to change the tag name to our required docker container tag

```
sudo docker tag <image_id> <new_tag>/<image_name>:<image_tag>
```

* Now, we have our required images with tags in our local machine. We need to push these images from local machine to destination container. First, login to the destination account using the above docker login command and then push the image using below command.

```
docker push <image_name>:<image_tag>
```

* Once successfully pushed, if you check in your docker hub account the images will be present.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.digit.org/platform/guides/operations-guide/moving-docker-images.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
